## pixieplus 0.5.4-2

=== debian/changelog ===
pixieplus (0.5.4-2) unstable; urgency=low

  * add missing xutils build depend (closes: Bug#194934). 

 -- Maximilian Reiss <max@debian.org>  Tue, 27 May 2003 23:13:32 +0200

pixieplus (0.5.4-1) unstable; urgency=low

  * Initial Release (closes: Bug#122307). 

 -- Maximilian Reiss <max@debian.org>  Fri,  4 Apr 2003 13:37:33 +0200
