=== debian/control ===
Source: pixieplus
Section: kde
Priority: optional
Maintainer: Maximilian Reiss <max@debian.org>
Build-Depends: debhelper (>> 4.0.0), automake1.7, kdelibs4-dev, libmagick++-dev, xutils, libungif4-dev, libtiff3g-dev, libjpeg62-dev
Standards-Version: 3.5.9

Package: pixieplus
Architecture: any
Depends: ${shlibs:Depends} ${misc:Depends}
Recommends: pixieplus-doc
Description:  A fast, and full featured image browser for KDE
 Pixie is designed to allow you to efficently browse, manage, and view
 large numbers of images as well as do basic editing such as adjust
 contrast/brightness, scale, and apply effects. 

Package: pixieplus-doc
Architecture: all
Depends: ${shlibs:Depends}
Description: Pixieplus documentation
 Pixie is designed to allow you to efficently browse, manage, and view
 large numbers of images as well as do basic editing such as adjust
 contrast/brightness, scale, and apply effects.
 This package contains the extended online manual.
